wood burning stoves 2.0*
The moose likes IDEs, Version Control and other tools and the fly likes getting error while starting eclipse Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » IDEs, Version Control and other tools
Bookmark "getting error while starting eclipse " Watch "getting error while starting eclipse " New topic
Author

getting error while starting eclipse

subhit chauhan
Ranch Hand

Joined: Jun 20, 2002
Posts: 40
Hi !

When i m trying to start my eclipse, i m getting a dialogue box stating "An
error has occurred, see the log file for detail". I am pasting the log file
contect here. Can anybody help me out.
I am having jdk1.4.2 in my machine.
I saw a post here having the same problem and the solution was to use
jdk1.4.*...
But i have jdk1.4.2 in my machine than also its not working...
Plzzzzz someone help !!!



!SESSION Apr 27, 2004
14:26:19.640 ---------------------------------------------
eclipse.buildId=I200406251208
java.version=1.3.1_01
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US

!ENTRY org.eclipse.osgi Apr 27, 2004 14:26:19.640
!MESSAGE Error registering XML parser services.
!STACK 0
java.lang.ClassNotFoundException: javax.xml.parsers.SAXParserFactory
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Unknown Source)
at
org.eclipse.core.runtime.adaptor.EclipseAdaptor.registerEndorsedXMLParser(Ec
lipseAdaptor.java:272)
at
org.eclipse.core.runtime.adaptor.EclipseAdaptor.frameworkStart(EclipseAdapto
r.java:253)
at
org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemB
undleActivator.java:61)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleConte
xtImpl.java:958)
at java.security.AccessController.doPrivileged(Native Method)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(Bu
ndleContextImpl.java:954)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleConte
xtImpl.java:937)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(Sta
rtLevelManager.java:553)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLeve
lManager.java:477)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(S
tartLevelManager.java:273)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.launch(StartLevel
Manager.java:243)
at
org.eclipse.osgi.framework.internal.core.SystemBundle.resume(SystemBundle.ja
va:166)
at
org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:425
)
at org.eclipse.osgi.framework.internal.core.OSGi.launch(OSGi.java:51)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:
216)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:127)
at java.lang.reflect.Method.invoke(Native Method)
at org.eclipse.core.launcher.Main.basicRun(Main.java:183)
at org.eclipse.core.launcher.Main.run(Main.java:644)
at org.eclipse.core.launcher.Main.main(Main.java:628)

!ENTRY
initial@reference:file :/eclipse/plugins/org.eclipse.core.runtime_3.0.0/ 0
0 Apr 27, 2004 14:26:19.765
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: Exception in
org.eclipse.core.internal.runtime.PlatformActivator.start() of bundle
org.eclipse.core.runtime.
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(Bu
ndleContextImpl.java:975)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleConte
xtImpl.java:937)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.j
ava:421)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundl
e.java:366)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.ja
va:999)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(Sta
rtLevelManager.java:577)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLeve
lManager.java:488)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(S
tartLevelManager.java:273)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(Sta
rtLevelManager.java:444)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.
java:186)
at
org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)
Root exception:
java.lang.NoClassDefFoundError: org/xml/sax/SAXException
at
org.eclipse.core.internal.runtime.PlatformActivator.startRegistry(PlatformAc
tivator.java:143)
at
org.eclipse.core.internal.runtime.PlatformActivator.start(PlatformActivator.
java:65)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleConte
xtImpl.java:958)
at java.security.AccessController.doPrivileged(Native Method)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(Bu
ndleContextImpl.java:954)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleConte
xtImpl.java:937)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.j
ava:421)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundl
e.java:366)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.ja
va:999)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(Sta
rtLevelManager.java:577)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLeve
lManager.java:488)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(S
tartLevelManager.java:273)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(Sta
rtLevelManager.java:444)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.
java:186)
at
org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)

!ENTRY
initial@reference:file :/eclipse/plugins/org.eclipse.update.configurator_3.
0.0/ 0 0 Apr 27, 2004 14:26:19.781
!MESSAGE FrameworkEvent.ERROR
!STACK 0
org.osgi.framework.BundleException: Exception in
org.eclipse.update.internal.configurator.ConfigurationActivator.start() of
bundle org.eclipse.update.configurator.
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(Bu
ndleContextImpl.java:975)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleConte
xtImpl.java:937)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.j
ava:421)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundl
e.java:366)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.ja
va:999)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(Sta
rtLevelManager.java:577)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLeve
lManager.java:488)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(S
tartLevelManager.java:273)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(Sta
rtLevelManager.java:444)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.
java:186)
at
org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)
Root exception:
java.lang.Exception: Cannot initialize the Update Configurator
at
org.eclipse.update.internal.configurator.ConfigurationActivator.initialize(C
onfigurationActivator.java:93)
at
org.eclipse.update.internal.configurator.ConfigurationActivator.start(Config
urationActivator.java:71)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleConte
xtImpl.java:958)
at java.security.AccessController.doPrivileged(Native Method)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(Bu
ndleContextImpl.java:954)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleConte
xtImpl.java:937)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.j
ava:421)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundl
e.java:366)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.ja
va:999)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(Sta
rtLevelManager.java:577)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLeve
lManager.java:488)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(S
tartLevelManager.java:273)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(Sta
rtLevelManager.java:444)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.
java:186)
at
org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:104)

!ENTRY org.eclipse.osgi Apr 27, 2004 14:26:19.796
!MESSAGE Startup error
!STACK 1
java.lang.IllegalStateException: Bundle
initial@reference:file :/eclipse/plugins/org.eclipse.core.runtime_3.0.0/
[1] is not active.
at
org.eclipse.core.runtime.adaptor.EclipseStarter.ensureBundlesActive(EclipseS
tarter.java:303)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:
227)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:127)
at java.lang.reflect.Method.invoke(Native Method)
at org.eclipse.core.launcher.Main.basicRun(Main.java:183)
at org.eclipse.core.launcher.Main.run(Main.java:644)
at org.eclipse.core.launcher.Main.main(Main.java:628)


subhit chauhan
Ranch Hand

Joined: Jun 20, 2002
Posts: 40
Hi !

I got the answer.. Actually i installed oracle 9i after that which modified my system path having oracle jre\bin version 1.1.8. I removed that and put the jdk1.4\bin in the path...
Hurray !!! problem solved....

subhit

[ July 30, 2004: Message edited by: subhit chauhan ]
[ July 30, 2004: Message edited by: subhit chauhan ]
Tim West
Ranch Hand

Joined: Mar 15, 2004
Posts: 539
Glad you worked it out :-)

Looks like although you had JDK1.4 on your system, you also had 1.3.1 and that's what Eclipse was using to try and start:


!SESSION Apr 27, 2004
14:26:19.640 ---------------------------------------------
eclipse.buildId=I200406251208
java.version=1.3.1_01




-Tim
subhit chauhan
Ranch Hand

Joined: Jun 20, 2002
Posts: 40
Yes Tim !!!
I installed oracle 9i which modified my environment variable and put jre1.3.1\bin in the path...
problem was so small but took a days to solve it
 
 
subject: getting error while starting eclipse
 
Similar Threads
Trouble when Opening Eclipse
Getting error org.eclipse.update.configurator_3.0.0/ [2] is not active
Eclipse start Up error
eclipse startup error
Eclipse start Up error